gstreamermm: Gst::MessageWarning Class Reference

gstreamermm 0.10.10.2

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Gst::MessageWarning Class Reference

A warning message. More...

Inheritance diagram for Gst::MessageWarning:
[legend]
Collaboration diagram for Gst::MessageWarning:
[legend]

List of all members.

## Public Member Functions
| MessageWarning (GstMessage* castitem)
void | parse (Glib::Error& error, std::string& debug) const
| Extracts the Glib::Error and debug string from the Gst::MessageWarning.
Glib::Error | parse () const
| Extracts and returns the Glib::Error from the Gst::MessageWarning.
std::string | parse_debug () const
| Extracts and returns the debug message from the Gst::MessageWarning.
## Static Public Member Functions
static Glib::RefPtr< Gst::Message > | create (const Glib::RefPtr< Gst::Object >& src, Glib::Error& error, const std::string& debug)
| Create a new warning message.

## Detailed Description

A warning message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageWarning::MessageWarning | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Message> Gst::MessageWarning::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | Glib::Error & | error,
|  | const std::string & | debug
| ) |  | `[static]`

Create a new warning message.

The message will make copies of error and debug.

Parameters:

  src | The object originating the message.
  error | The Glib::Error for this message.
  debug | A debugging string for something or other.

Returns:
  The new warning message. MT safe.

void Gst::MessageWarning::parse | ( | Glib::Error & | error,
|  | std::string & | debug
| ) |  | const

Extracts the Glib::Error and debug string from the Gst::MessageWarning.

MT safe.

Parameters:

  error | Location for the Glib::Error.
  debug | Location for the debug message.

Glib::Error Gst::MessageWarning::parse | ( |  | ) | const

Extracts and returns the Glib::Error from the Gst::MessageWarning.

MT safe.

Returns:
  The Glib::Error.

std::string Gst::MessageWarning::parse_debug | ( |  | ) | const

Extracts and returns the debug message from the Gst::MessageWarning.

MT safe.

Returns:
  The debug message.

The documentation for this class was generated from the following file:

- gstreamermm/message.h